@args allowed: bool
<div>
    @for (.blogs) |blog| {
				@if ($.allowed)
					<button id="delete-post">
						Delete post
					</button>
					<script>
					document.getElementById('delete-post').addEventListener('click', function () {
							fetch(`/blogs/${blog.id}`, {
								method: 'DELETE',
								headers: {
									'Content-Type': 'application/json'
								},
							})
							.catch(error => {
									console.error('Error during logout:', error);
							});
					}
					</script>
				@end
        <a href="/blogs/{{blog.id}}">{{blog.title}}</a>
        {{zmpl.fmt.datetime(blog.get("created_at"), "%Y-%m-%d %H:%M")}}
        <br/>
    }
    <hr/>

		@if ($.allowed)
    		<a href="/blogs/new">New Blog</a>
		@end
</div>
